require('dotenv').load()
const express = require('express')
const bodyParser = require('body-parser')
const cors = require('cors')
const morgan = require('morgan')

const app = express()
app.use(morgan('combined'))
app.use(bodyParser.json())
app.use(cors())

const db = require('./config/db.config.js');
const Role = db.role;
// force: true will drop the table if it already exists
db.sequelize.sync({force: true}).then(() => {
  console.log('Drop and Resync with { force: true }');
  initial();
});

var routes = require('./router/router')
routes(app)

var server = app.listen(process.env.PORT, function () {
 
    var host = server.address().address
    var port = server.address().port
   
    console.log("App listening at http://%s:%s", host, port)
})

function initial(){
    Role.create({
      id: 1,
      name: 'Master Admin Diskominfo'
    });
    
    Role.create({
      id: 2,
      name: 'Admin Diskominfo'
    });
    
    Role.create({
      id: 3,
      name: 'Admin Dinas'
    });
    
    Role.create({
        id: 4,
        name: 'Member Dinas'
    })
}